﻿using System;
using System.Collections.Generic;
using Xamarin.Forms;
using Syncfusion.SfRotator.XForms;
namespace testRotator1
{
	public partial class MyPage : ContentPage
	{
		public MyPage ()
		{
			InitializeComponent ();
			SfRotator sfRotator = new SfRotator();
			sfRotator.ItemsSource = GetDataSource ();

			var imageTemplate = new DataTemplate(() =>
			{
				Image image = new Image();
				image.SetBinding(Image.SourceProperty, "Image");
				return image;
			});

			sfRotator.ItemTemplate = imageTemplate;
			this.Content = sfRotator;
		}
		List<CustomData> GetDataSource()
		{
			List<CustomData> list = new List<CustomData> ();
			list.Add (new CustomData ("https://upload.wikimedia.org/wikipedia/commons/0/0c/Cow_female_black_white.jpg"));
			list.Add (new CustomData ("http://www.866-get-a-cow.com/images/cow-skating.jpg"));
			list.Add (new CustomData ("https://upload.wikimedia.org/wikipedia/commons/0/0c/Cow_female_black_white.jpg"));
			list.Add (new CustomData ("http://www.866-get-a-cow.com/images/cow-skating.jpg"));
			list.Add (new CustomData ("https://upload.wikimedia.org/wikipedia/commons/0/0c/Cow_female_black_white.jpg"));
			list.Add (new CustomData ("http://www.866-get-a-cow.com/images/cow-skating.jpg"));

			return list;
		}
	}
}

